Subject: Bug#3189: nvi over-cautious about .exrc?

From: [email-masked]
Date: 4 Jun 1996 00:09:54 -0000

Note that the mere existence of only one user who can access the group
does not mean that only one user is accessing the group.  [Consider
sgid programs, for instance.]

The current group configuration is optimized for systems where groups
are collaborative, yet people are not always expected to be a member
of a collaborative group.

The concept of group quotas is optimized for systems where people can
be a member of only one group.

This is, indeed a configuration choice.  I think that debian makes the
right choice for the default.

At the moment, adduser would have to be changed to support alternate
configuration policies.  However, as we've just gone through one round
of changes on adduser (the bit about numeric system ids), it's
probably worth sitting back and reflecting a bit before changing it
again.

Perhaps we need some kind of policy editor, or system profile selector
to drive adduser?

I have a hunch that changes of this magnitude shouldn't be folded into
the system until 1.1 is out.  Also, I think that this kind of issue
can pull attention away from the testing and deployment activities we
need to get debian in the hands of people that really need it (the
majority of who would be setting up single user systems).

-- 
Raul